# class ShaderPrecisionFormat

#### package js.html.webgl

Available on HTML5

The WebGLShaderPrecisionFormat interface is part of the WebGL API and represents the information returned by calling the `WebGLRenderingContext.getShaderPrecisionFormat()` method.

Documentation WebGLShaderPrecisionFormat by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/WebGLShaderPrecisionFormat

### Variables

###

`read onlyprecision:Int`

The number of bits of precision that can be represented. For integer formats this value is always 0.

###

`read onlyrangeMax:Int`

The base 2 log of the absolute value of the maximum value that can be represented.

###

`read onlyrangeMin:Int`

The base 2 log of the absolute value of the minimum value that can be represented.